List targets
List all matching targets. By default all targets of the instance are returned. Make sure to include a limit and sorting for pagination.
Required permission:
action.target.read
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://loading/v2/actions/targets/search" \ -H "Content-Type: application/json" \ -d '{}'{
"pagination": {
"totalResult": 0,
"appliedLimit": 0
},
"targets": [
{
"id": "string",
"creationDate": "2023-01-15T01:30:15.01Z",
"changeDate": "2023-01-15T01:30:15.01Z",
"name": "string",
"timeout": "string",
"endpoint": "string",
"signingKey": "string",
"payloadType": "PAYLOAD_TYPE_UNSPECIFIED",
"restAsync": {}
}
]
}Was this page helpful?
List Public Keys
List Public Keys: Lists all public keys of a target. The response includes which key is active and the key's expiration dates. This allows you to manage key rotations and ensure that your target always has an active...
Remove Public Key
Remove Public Key: Removes the public key from the target. This is a permanent action and can not be undone. Note that you can only remove inactive keys. Attempting to remove an active key will result in an error. Fo...